/// <reference types="react" />
import * as React from 'react';
import { IComponentDemoPageProps } from '@uifabric/example-app-base';
import './ThemePage.scss';
export declare class ThemePage extends React.Component<IComponentDemoPageProps, {
    colors: {
        key: string;
        name: string;
        value: string;
        description: string;
    }[];
    colorPickerProps?: {
        targetElement: HTMLElement;
        value: any;
        index: number;
    };
}> {
    private _list;
    constructor(props: {});
    render(): JSX.Element;
    private _createDetailsListRef;
    private _onSwatchClicked(item, index, ev);
    private _onColorChanged(index, newColor);
    private _onPickerDismiss();
}
